Subject: Re: [SWIPL] emacs prolog cygwin question
From: Steve Kelem <[email-masked]>
To: Stefan Bruda <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Wed, 16 Mar 2005 09:21:50 -0800

Stefan Bruda said the following on 3/16/2005 8:37 AM:

>I am not at all familiar with Cygwin, so the following are more of
>educated guesses rather than authoritative answers.
>
>At 06:58 -0800 on 2005-3-16 Steve Kelem wrote:
> >
> > I have verified that the above version of prolog.elc is being loaded.
> > When I load a prolog source file, and type C-c C-b, I cannot get a 
> > prolog process to run.
> > C:\cygwin\bin\pl is a symbolic link to 
> > ../lib/pl-5.2.6/bin/i686-cygwin/pl.exe
>
>I believe that the right executable to run under Windows is plcon.exe,
>not pl.exe.
>
I couldn't find a plcon anywhere.

>  This may or may not be the problem, possibly not since
>you are running Prolog from Cygwin.  On the other hand, what is the
>.exe suffix doing there?
>
Cygwin is linux on top of Windoze, so the file has to be a Microsoft 
.exe file when all's done.

>  It is worth trying plcon.exe if this
>exists on your system.
>
>If you just type `pl' (without quotes) at the shell prompt do you get
>the Prolog application up?  Do you get a graphical version or a
>console-based version?  In the former case, do you get the Windows or
>X interface?
>  
>
I get the consol-based-version.

>I am sort of confused about the way your Prolog system is installed
>and what is and what is not in your search path--but then I am not
>familiar with how Cygwin is doing things.
>  
>
I ended up uninstalling the cygwin version (5.2.6) of swi prolog, loaded 
the version (5.4.7) from http://www.swi-prolog.org/,
and the new one works---in a Cygwin tcsh, in emacs, and from tcsh as a 
windows-style window.

>Have you tried to set the EPROLOG environment variable instead of
>setting prolog-program-name?  Have you tried following the item 4 of
>instructions at
><http://turing.ubishops.ca/home/bruda/emacs-prolog/install.html>?  I
>am not saying that these works, but they are worth a shot.
>
>On the other hand, I do not understand the cause of the error.  The
>error message is either misleading or suggests another cause.  At
>least on my system I get in the error message a plain text explanation
>of the actual errno (no such file or directory).  Your error message
>looks nothing like mine.  Could be a different Emacs version, but it
>could also be that the problem is in some other place.  Let me know
>what happens with the things I mentioned before (such as launching pl
>as a standalone application).
>
> > ; In Emacs-style path:
> > (setq prolog-program-name "C:/cygwin/bin/pl")   Spawining child process: 
> > invalid argument.
>
>This should work as far as the path is concerned.
>
> > ; In Windows-style path with unquoted backslashes:
> > (setq prolog-program-name "C:\cygwin\bin\pl")   Spawining child process: 
> > invalid argument.
>
>This should not work no matter under what system, since backslash has
>special meanings Are you sure you don't get the C:cygwin^Hinpl in this
>one rather than the one below?  This is what should have happened.
>
> > ; In Windows-style path with quoted backslashes:
> > (setq prolog-program-name "C:\\cygwin\\bin\\pl")   Spawining child 
> > process: invalid argument.   (prolog-program-name gets set to 
> > C:cygwin^Hinpl, so unquoted backslashes are bad.)
>
>See above.
>
>Stefan
>
Thanks for your help,
Steve

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/